
Redmine - Defect #2544

I can see bcc emails when recieving emails from discusion

2009-01-19 22:53 - Maxim Krušina

Status: Closed Start date: 2009-01-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Like this (I'm using Gmail from Google Apps for domain):

noreply@redmine.org

to bcc: jgoerzen, bcc: jonathan.monah., bcc: edavis, bcc: sto+redmine, bcc: jim, bcc: Armadillo1973, bcc: captain08, bcc: ricar

Redmine - Open discussion: pre-built 'gem'

Thomas D

Quick disclaimer: I've never dealt with ruby before, and Redmine is the only app I have that uses it. I've had Redmine for a couple

days.

I was trying to do the following: "gem install mysql", but on a virtual environment where I don't want GCC installed; is there a way to

either get pre-built files (I couldn't find anything regarding this) or build the files on another environment and move them?

History

#1 - 2009-01-30 14:25 - Anonymous

- Target version set to 0.8.1

This is a security issue and should be addressed ASAP.  Please can this be included for 0.8.1?  I've just posted a similar comment as this was

mentioned briefly in #1904.

#2 - 2009-01-30 14:27 - Anonymous

It isn't just gmail.  I use Mail.app on OS X 10.5 and can see all the e-mail addresses of everyone in the BCC list when I get an e-mail about a ticket

from Redmine.org.  When I send e-mails from Mail.app, the BCC'd recipients can't see the other bcc'd e-mail addresses so there is something odd

regarding the mail format sent from Redmine that is preventing the BCC line from being hidden (as it should be).

Cheers

Russell

#3 - 2009-01-31 12:23 - Jean-Philippe Lang

After some investigations, this problem was not due to Redmine but to ar_mailer that I used on redmine.org to send emails asynchronously.

Tests showed that without ar_mailer, received emails don't disclose recipients. So I changed a few things on redmine.org and everything seems OK

now.

#4 - 2009-02-02 19:35 - Jean-Philippe Lang

- Category changed from Forums to Email notifications

- Status changed from New to Closed

- Target version deleted (0.8.1)

- Resolution set to Fixed

Target version removed since it was not a Redmine defect.
